edu.isi.pegasus.planner.catalog.classes

## Enum Profiles.NAMESPACES

- java.lang.Object
- - java.lang.Enum<Profiles.NAMESPACES>
  - - edu.isi.pegasus.planner.catalog.classes.Profiles.NAMESPACES

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Profiles.NAMESPACES>

Enclosing class:
  Profiles

    public static enum Profiles.NAMESPACES
    extends java.lang.Enum<Profiles.NAMESPACES>

The enumeration of valid namespaces. It should be

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`condor`
`dagman`
`env`
`globus`
`hints`
`pegasus`
`selector`
`stat`

### Method Summary

All Methods Static Methods Concrete Methods
`static Profiles.NAMESPACES` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Profiles.NAMESPACES[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### env

    public static final Profiles.NAMESPACES env

#### globus

    public static final Profiles.NAMESPACES globus

#### condor

    public static final Profiles.NAMESPACES condor

#### dagman

    public static final Profiles.NAMESPACES dagman

#### pegasus

    public static final Profiles.NAMESPACES pegasus

#### hints

    public static final Profiles.NAMESPACES hints

#### selector

    public static final Profiles.NAMESPACES selector

#### stat

    public static final Profiles.NAMESPACES stat

### Method Detail

#### values

    public static Profiles.NAMESPACES[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Profiles.NAMESPACES c : Profiles.NAMESPACES.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Profiles.NAMESPACES valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null